diff --git a/gitlab/before_build.sh b/gitlab/before_build.sh
index 47538e6c1f528bb46ea18c72d21857978fce26d0..b95a814ecceb93c71d8e971a99430874ae597095 100755
--- a/gitlab/before_build.sh
+++ b/gitlab/before_build.sh
@@ -61,11 +61,3 @@ if [ -e test-requirements.txt ]; then
 else
   log_info "No test-requirements.txt file found, skipping 'pip install <test-deps>'..."
 fi
-
-# Finally, bootstrap the installation from the new environment
-if [ -e bootstrap-buildout.py ]; then
-  run_cmd ${use_python} bootstrap-buildout.py
-else
-  log_error "No bootstrap-buildout.py file found, stopping..."
-  exit 1
-fi
diff --git a/gitlab/before_deploy.sh b/gitlab/before_deploy.sh
index cac81087be5533b36b8ab026d458748b8f607f25..1f12ae8177d9b578b87e04d92135d091407321fc 100755
--- a/gitlab/before_deploy.sh
+++ b/gitlab/before_deploy.sh
@@ -8,7 +8,14 @@ run_cmd $(dirname ${0})/before_test.sh
 # setup database locally and run `bob_dbmanage.py all download`
 # if this is a database package - need auxiliary file for package
 if [[ ${CI_PROJECT_NAME} == bob.db.* ]]; then
-  run_cmd ./bin/buildout
+  use_buildout=`which buildout`
+  if [ -z "${use_buildout}" ]; then
+    log_error "Cannot find buildout, aborting..."
+    exit 1
+  else
+    log_info "Using buildout: ${use_buildout}"
+  fi
+  run_cmd ${use_buildout}
   if [ -x ./bin/bob_dbmanage.py ]; then
     run_cmd ./bin/bob_dbmanage.py all download --force;
   fi
diff --git a/gitlab/build.sh b/gitlab/build.sh
index 1c6ec16c2249834a60b999258c6e37609b9c9825..3af02af73d064d7edaae42422ad6374f3c2d2bee 100755
--- a/gitlab/build.sh
+++ b/gitlab/build.sh
@@ -5,7 +5,15 @@ source $(dirname ${0})/functions.sh
 
 prepare_build_env ${CONDA_FOLDER} ${PREFIX}
 
-run_cmd ./bin/buildout
+use_buildout=`which buildout`
+if [ -z "${use_buildout}" ]; then
+  log_error "Cannot find buildout, aborting..."
+  exit 1
+else
+  log_info "Using buildout: ${use_buildout}"
+fi
+
+run_cmd ${use_buildout}
 
 if [ -x ./bin/bob_dbmanage.py ]; then
   run_cmd ./bin/bob_dbmanage.py all download --missing;